package de.intevation.gnv.utils;

/**
 * @author Sascha L. Teichmann <sascha.teichmann@intevation.de>
 */
public final class StringUtils
{
    private StringUtils() {
    }

    public static final String [] append(String [] haystack, String straw) {
        if (haystack == null) {
            return new String [] { straw };
        }
        String [] nhaystack = new String[haystack.length];
        System.arraycopy(haystack, 0, nhaystack, 0, haystack.length);
        nhaystack[haystack.length] = straw;
        return nhaystack;
    }

    public static final boolean contains(String [] haystack, String needle) {
        if (haystack == null) {
            return false;
        }

        if (needle == null) {
            for (int i = haystack.length - 1; i >= 0; --i) {
                if (haystack[i] == null) {
                    return true;
                }
            }
        }
        else {
            for (int i = haystack.length - 1; i >= 0; --i) {
                String straw = haystack[i];
                if (straw != null && straw.equals(needle)) {
                    return true;
                }
            }
        }

        return false;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
